---
schema_version: "1"
id: 41b071c4766b3aa469719927770374e9e79b5edd7de28462c75b60ee389cdb7b
title: Commerce Connect REST API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/connect-rest/connect-rest-api/references/generated-api-specs/connect-rest-api-commerce.md
canonical_url: https://developer.salesforce.com/docs/platform/connect-rest-api/references/connect-rest-api-commerce
source_site: developer.salesforce.com
content_type: documentation
content_hash: 498ffd2d3078f5c398866d290224fbe27ff22ac157c0c9088c34241e94cdb790
products:
  - Connect REST API Developer Guide
  - Connect REST APIs
---
Commerce Connect REST API

# Commerce Connect REST API

> **Note**: The API Reference has a new three-panel layout. Browse grouped endpoints on the left, review endpoint details in the center, and access examples on the right.

**Important**: Where possible, we changed noninclusive terms to align with our company value of Equality. We maintained certain terms to avoid any effect on customer implementations.

**Version:** v67.0

## Servers

*   `https://{MyDomainName}.my.salesforce.com/services/data/v67.0` API server for your Salesforce org.
    *   ``MyDomainName (default None) Your org's My Domain name, which is used as a subdomain for the URLs that Salesforce uses to serve your org. For example, if your Lightning URL is `https://yourcompanyname.lightning.force.com`, then your My Domain name is `yourcompanyname`. Find your My Domain name and login URL on the My Domain page in Setup, or use the `getMyDomainName()` method in the Apex Domain class.``

## Tags

### Commerce B2B Resources

Get, create, update, and delete your commerce data. Work with address management, carts, checkouts, orders, products, promotions, taxes, wishlists, and search settings.

### Commerce Einstein Webstore Resources

Get the status of a Commerce Einstein deployment. Get the Commerce Einstein configuration. Export and purge Commerce Einstein activity. Get Commerce Einstein product recommendations.

### Salesforce Omnichannel Inventory Resources

Manage inventory across locations. Available in Salesforce Omnichannel Inventory.

### Salesforce Order Management Resources

Manage orders and the order fulfillment process. Available in Salesforce Order Management orgs.

### Salesforce Payments Resources

Information about Salesforce Payments, including content, rendered version, and sharing.

**Note**: For the most updated Payments API documentation, see the [Salesforce Payments APIs](https://developer.salesforce.com/docs/commerce/salesforce-commerce/references/comm-payments-ref?meta=Summary) and the [Salesforce Commerce Payments APIs](https://developer.salesforce.com/docs/commerce/salesforce-commerce/references/comm-ccs-payments-ref?meta=Summary) in the B2B Commerce and D2C Commerce Developer Guide.

To access Salesforce Payments resources whose endpoints begin `/commerce/payments`, your org must have one or more of these licenses:

*   Salesforce Payments
*   Salesforce Order Management
*   B2B Commerce, or D2C Commerce

## Operations

### PUT Commerce Webstore Checkouts

`PUT /commerce/webstores/{webstoreId}/checkouts`

Operation ID: `putCheckoutStartV2`. Tags: Commerce B2B Resources.

Start Checkout Session V2

Start a Commerce store checkout.

If a store is segmented into markets, this API looks at the language parameter appended to the URL to determine the shopper’s locale and returns the appropriate values.

_Available in: v55.0_

**Note:** PUT is supported in version 57.0 and later.

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `effectiveAccountId` (query, string)
    
    ID of the buyer account or guest buyer profile for which the request is made. If unspecified, the default value is determined from context.
    
    _Available in: v55.0_
    

#### Request body

Input to start a Commerce store checkout for a cart.

_Available in: v55.0_

Media type: `application/json`. Schema: `CheckoutStartInput`.

_Example: example\_1_ Payload 1

```
{
  "cartId": "0a6456789012345AAA",
  "customFields": [
    {
      "attributes": {
        "type": "WebCart"
      },
      "CartCustomNumberField__c": 1,
      "CartCustomTextField__c": "Text1"
    },
    {
      "attributes": {
        "type": "CartDeliveryGroup"
      },
      "CdgDistrict__c": "District1"
    },
    {
      "attributes": {
        "type": "CartDeliveryGroup"
      },
      "id": "0a7xx000000006TAAQ",
      "CdgWardField__c": 8
    }
  ]
}
```

#### Responses

*   **200** _Checkout_ Checkout for a Commerce store.
    
    Media type: `application/json`. Schema: `CheckoutSessionV2`.
    
    _Example: example\_1_ Payload 1
    
    Here’s an example for POST.
    
    ```
    {
      "checkoutId": "2z9R000000008LfIAI"
    }
    ```
    
    _Example: example\_2_ Payload 2
    
    Here’s an example for PUT when delivery methods and delivery groups are present.
    
    ```
    {
      "checkoutId": "2z9R000000008LfIAI",
      "deliveryGroups": {
        "count": 1,
        "items": [
          {
            "deliveryAddress": {
              "name": "Alan Johnson",
              "firstName": "Alan",
              "lastName": "Johnson",
              "region": "CA",
              "country": "US",
              "city": "San Francisco",
              "street": "415 Mission St",
              "companyName": "Salesforce",
              "postalCode": "94105"
            },
            "availableDeliveryMethods": [
              {
                "id": "2Dmxx0000004CFVCA2",
                "name": "Delivery Method 1",
                "shippingFee": "3.14",
                "currencyIsoCode": "USD",
                "carrier": "UPS",
                "classOfService": "Same day UPS Ground"
              },
              {
                "id": "2Dmxx0000005DEWDB3",
                "name": "Delivery Method 2",
                "shippingFee": "2.03",
                "currencyIsoCode": "USD",
                "carrier": "UPS",
                "classOfService": "Next day UPS Ground"
              }
            ],
            "id": "0a7xx0000000000CA2",
            "isDefault": true,
            "name": "Default Delivery",
            "desiredDeliveryDate": "2021-05-28T16:41:41.090Z",
            "shippingInstructions": "type code 1234 on gate keypad",
            "customFields": [
              {
                "attributes": {
                  "type": "CartDeliveryGroup"
                },
                "MyCustomTextField__c": "Text",
                "MyCustomNumberField__c": 12345,
                "MyCustomPhoneField__c": "4145551212",
                "MyCustomAddressField__c": {
                  "street": "415 Mission St",
                  "postalCode": "94105",
                  "city": "San Francisco",
                  "state": "California",
                  "stateCode": "US_CA",
                  "country": "United States",
                  "countryCode": "US",
                  "geocodeAccuracy": "City",
                  "latitude": 34,
                  "longitude": 85.9
                }
              }
            ]
          }
        ]
      },
      "customFields": [
        {
          "attributes": {
            "type": "WebCart"
          },
          "MyCustomTextField__c": "Text",
          "MyCustomNumberField__c": 12.34,
          "MyCustomPercentField__c": 0.2345,
          "MyCustomGeolocationField__c": {
            "latitude": 33.345,
            "longitude": 45.567
          }
        }
      ]
    }
    ```
    

### POST Commerce Webstore Checkouts

`POST /commerce/webstores/{webstoreId}/checkouts`

Operation ID: `postCheckoutStartV2`. Tags: Commerce B2B Resources.

Start Checkout Session V2

Start a Commerce store checkout.

If a store is segmented into markets, this API looks at the language parameter appended to the URL to determine the shopper’s locale and returns the appropriate values.

_Available in: v55.0_

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `effectiveAccountId` (query, string)
    
    ID of the buyer account or guest buyer profile for which the request is made. If unspecified, the default value is determined from context.
    
    _Available in: v55.0_
    

#### Request body

Input to start a Commerce store checkout for a cart.

_Available in: v55.0_

Media type: `application/json`. Schema: `CheckoutStartInput`.

_Example example\_1: same as PUT /commerce/webstores/{webstoreId}/checkouts request._ Payload 1

_Example: example\_1_ Payload 1

#### Responses

*   **200** _Checkout_ Checkout for a Commerce store.
    
    Media type: `application/json`. Schema: `CheckoutSessionV2`.
    
    _Example example\_2: same as PUT /commerce/webstores/{webstoreId}/checkouts 200 response._ Payload 2
    
    Here’s an example for PUT when delivery methods and delivery groups are present.
    
    _Example: example\_1_ Payload 1
    
    Here’s an example for POST.
    
    ```
    {
      "checkoutId": "2z9R000000008LfIAI"
    }
    ```
    
    _Example: example\_2_ Payload 2
    
    Here’s an example for PUT when delivery methods and delivery groups are present.
    

### GET Commerce Webstore Checkout

`GET /commerce/webstores/{webstoreId}/checkouts/{activeOrCheckoutId}`

Operation ID: `getCheckoutV2`. Tags: Commerce B2B Resources.

Checkout Operations V2

Get a Commerce store checkout.

If a store is segmented into markets, this API looks at the language parameter appended to the URL to determine the shopper’s locale and returns the appropriate values.

_Available in: v55.0_

If you want to use this resource with a WebStore of type B2CE, open a case with Salesforce Support and provide this information: Salesforce organization ID Tenant ID (You can find this ID on the Manage Cloud-to-Cloud Connections page in Setup) B2C Commerce Business Manager login URL B2C Commerce site IDs

**Note**: During the checkout process, you must make a GET request to `/commerce/webstores/{webstoreId}/checkouts/{activeOrCheckoutId}` or `/commerce/webstores/{webstoreId}/checkouts/{checkoutId}` at least once after making a PATCH request to `/commerce/webstores/{webstoreId}/checkouts`. We recommend continuously polling the GET request until the API returns a `200 OK` status, indicating that the response is ready for consumption.

**Note:** To resolve a [409](/docs/platform/connect-rest-api/guide/connect_error_responses) error returned on a PATCH or DELETE request, retry your request until it returns a 2xx status with updated data. To avoid returning a 409 error on PATCH or DELETE requests, make sure that you don’t have any custom code that modifies the cart or a checkout session while calling PATCH or DELETE.

#### Parameters

*   `webstoreId` (path, string (Id), required)
    
    The ID of the web store.
    
    _Available in: v55.0_
    
      
    Pattern: ^(0ZE)\\w\*.
*   `activeOrCheckoutId` (path, string, required)
    
    Values for `{activeOrCheckoutId}` are:
    
    *   `{checkoutId}` —ID of the checkout.
    *   `active` —Active checkout.
    
    _Available in: v55.0_
    
*   `effectiveAccountId` (query, string)
    
    ID of the account for which the request is made. If unspecified, defaults to the account ID for the context user.
    
    _Available in: v51.0_
    

#### Responses

*   **200** _Checkout_ Checkout for a Commerce store.
    
    Media type: `application/json`. Schema: `CheckoutSessionV2`.
    
    _Example example\_2: same as PUT /commerce/webstores/{webstoreId}/checkouts 200 response._ Payload 2
    
    Here’s an example for PUT when delivery methods and delivery groups are present.
    
    _Example: example\_1_ Payload 1
    
    Here’s an example for POST.
    
    ```
    {
      "checkoutId": "2z9R000000008LfIAI"
    }
    ```
    
    _Example: example\_2_ Payload 2
    
    Here’s an example for PUT when delivery methods and delivery groups are present.
    

#### Code samples

_Example: Example 1 · HTTP_

```
https://yourInstance.salesforce.com/services/data/commerce/webstores/0ZESG000001n96S4AQ/checkouts/2z9R000000008LfIAI
```

### DELETE Commerce Webstore Checkout

`DELETE /commerce/webstores/{webstoreId}/checkouts/{activeOrCheckoutId}`

Operation ID: `deleteCheckoutV2`. Tags: Commerce B2B Resources.

Checkout Operations V2

Delete a Commerce store checkout.

If a store is segmented into markets, this API looks at the language parameter appended to the URL to determine the shopper’s locale and returns the appropriate values.

_Available in: v55.0_

If you want to use this resource with a WebStore of type B2CE, open a case with Salesforce Support and provide this information: Salesforce organization ID Tenant ID (You can find this ID on the Manage Cloud-to-Cloud Connections page in Setup) B2C Commerce Business Manager login URL B2C Commerce site IDs

**Note**: During the checkout process, you must make a GET request to `/commerce/webstores/{webstoreId}/checkouts/{activeOrCheckoutId}` or `/commerce/webstores/{webstoreId}/checkouts/{checkoutId}` at least once after making a PATCH request to `/commerce/webstores/{webstoreId}/checkouts`. We recommend continuously polling the GET request until the API returns a `200 OK` status, indicating that the response is ready for consumption.

**Note:** To resolve a [409](/docs/platform/connect-rest-api/guide/connect_error_responses) error returned on a PATCH or DELETE request, retry your request until it returns a 2xx status with updated data. To avoid returning a 409 error on PATCH or DELETE requests, make sure that you don’t have any custom code that modifies the cart or a checkout session while calling PATCH or DELETE.

#### Parameters

*   `webstoreId` (path, string (Id), required)
    
    The ID of the web store.
    
    _Available in: v55.0_
    
      
    Pattern: ^(0ZE)\\w\*.
*   `activeOrCheckoutId` (path, string, required)
    
    Values for `{activeOrCheckoutId}` are:
    
    *   `{checkoutId}` —ID of the checkout.
    *   `active` —Active checkout.
    
    _Available in: v55.0_
    
*   `effectiveAccountId` (query, string (Id))  
    Pattern: ^(001)\\w\*.

#### Responses

*   **204** _Successful Delete_ Success

### PATCH Commerce Webstore Checkout

`PATCH /commerce/webstores/{webstoreId}/checkouts/{activeOrCheckoutId}`

Operation ID: `patchCheckoutV2`. Tags: Commerce B2B Resources.

Checkout Operations V2

Update a Commerce store checkout.

If a store is segmented into markets, this API looks at the language parameter appended to the URL to determine the shopper’s locale and returns the appropriate values.

_Available in: v55.0_

If you want to use this resource with a WebStore of type B2CE, open a case with Salesforce Support and provide this information: Salesforce organization ID Tenant ID (You can find this ID on the Manage Cloud-to-Cloud Connections page in Setup) B2C Commerce Business Manager login URL B2C Commerce site IDs

**Note**: During the checkout process, you must make a GET request to `/commerce/webstores/{webstoreId}/checkouts/{activeOrCheckoutId}` or `/commerce/webstores/{webstoreId}/checkouts/{checkoutId}` at least once after making a PATCH request to `/commerce/webstores/{webstoreId}/checkouts`. We recommend continuously polling the GET request until the API returns a `200 OK` status, indicating that the response is ready for consumption.

**Note:** To resolve a [409](/docs/platform/connect-rest-api/guide/connect_error_responses) error returned on a PATCH or DELETE request, retry your request until it returns a 2xx status with updated data. To avoid returning a 409 error on PATCH or DELETE requests, make sure that you don’t have any custom code that modifies the cart or a checkout session while calling PATCH or DELETE.

#### Parameters

*   `webstoreId` (path, string (Id), required)
    
    The ID of the web store.
    
    _Available in: v55.0_
    
      
    Pattern: ^(0ZE)\\w\*.
*   `activeOrCheckoutId` (path, string, required)
    
    Values for `{activeOrCheckoutId}` are:
    
    *   `{checkoutId}` —ID of the checkout.
    *   `active` —Active checkout.
    
    _Available in: v55.0_
    
*   `effectiveAccountId` (query, string (Id))  
    Pattern: ^(001)\\w\*.

#### Request body

Input for a Commerce store checkout.

Media type: `application/json`. Schema: `CheckoutSessionV2Input`.

_Example: example\_1_ Payload 1

Here’s an example of a request including contact information and Cart custom fields: The PATCH request fails if it includes contact information with Cart Delivery Group custom fields or with both Cart and Cart Delivery Group custom fields.

```
{
  "contactInfo": {
    "firstName": "Alan",
    "lastName": "Johnson",
    "email": "al**@jo*****.com",
    "phoneNumber": "******3944"
  },
  "customFields": [
    {
      "attributes": {
        "type": "WebCart"
      },
      "Id": "0a6xx0000000000",
      "MyCustomTextField__c": "Foo",
      "MyCustomNumberField__c": 12.34,
      "MyCustomPercentField__c": 0.2345,
      "MyCustomGeolocationField__c": {
        "latitude": 33.345,
        "longitude": 45.567
      }
    }
  ]
}
```

_Example: example\_2_ Payload 2

Here’s an example of a request including shipping information (`deliveryAddress`, `desiredDeliveryDate`, and `shippingInstructions`) without custom fields: Any combination of these three sub-resources is valid if custom fields aren’t included in the request.

```
{
  "deliveryAddress": {
    "name": "Alan Johnson",
    "firstName": "Alan",
    "lastName": "Johnson",
    "region": "CA",
    "country": "US",
    "city": "San Francisco",
    "street": "415 Mission St",
    "postalCode": "94105"
  },
  "desiredDeliveryDate": "2021-05-28T16:41:41.090Z",
  "shippingInstructions": "type code 1234 on gate keypad"
}
```

_Example: example\_3_ Payload 3

Here’s an example of a request for a guest user, including contact information and delivery address:

```
{
  "contactInfo": {
    "firstName": "Alan",
    "lastName": "Johnson",
    "email": "al**@jo*****.com",
    "phoneNumber": "******3944"
  },
  "deliveryAddress": {
    "name": "Alan Johnson",
    "firstName": "Alan",
    "lastName": "Johnson",
    "region": "CA",
    "country": "US",
    "city": "San Francisco",
    "street": "415 Mission St",
    "postalCode": "94105"
  }
}
```

#### Responses

*   **200** _Checkout_ Checkout for a Commerce store.
    
    Media type: `application/json`. Schema: `CheckoutSessionV2`.
    
    _Example example\_2: same as PUT /commerce/webstores/{webstoreId}/checkouts 200 response._ Payload 2
    
    Here’s an example for PUT when delivery methods and delivery groups are present.
    
    _Example: example\_1_ Payload 1
    
    Here’s an example for POST.
    
    ```
    {
      "checkoutId": "2z9R000000008LfIAI"
    }
    ```
    
    _Example: example\_2_ Payload 2
    
    Here’s an example for PUT when delivery methods and delivery groups are present.
    

#### Code samples

_Example: Example 1 · HTTP_

```
# Here’s an example of a request including delivery method and custom fields. A
# PATCH request that includes `deliveryMethodId` clears all payment information
# for the checkout, including `WebCart.BillingAddress`.

{
  "deliveryMethodId": "7cdLT000000EzA5YAK",
  "customFields": [
    {
      "attributes": {
        "type": "WebCart"
      },
      "Id": "0a6xx0000000000",
      "MyCustomTextField__c": "Foo",
      "MyCustomNumberField__c": 12.34,
      "MyCustomPercentField__c": 0.2345,
      "MyCustomGeolocationField__c": {
        "latitude": 33.345,
        "longitude": 45.567
      }
    },
    {
      "attributes": {
        "type": "CartDeliveryGroup"
      },
      "Id": "0a7SB000000oBujYAE",
      "MyCustomTextField__c": "Bar",
      "MyCustomNumberField__c": 4.55,
      "MyCustomPhoneField__c": "******1212",
      "MyCustomAddressField__c": {
        "street": "100 Folsom Street",
        "city": "San Francisco",
        "state": "California", //This field isn't currently supported in custom fields.
        "stateCode": "US_CA",
        "postalCode": "93555",
        "country": "United States", //This field isn't currently supported in custom fields.
        "countryCode": "US",
        "geocodeAccuracy": "City",
        "latitude": 34,
        "longitude": 85.9
      }
    }
  ]
}
```

_Example: Example 2 · HTTP_

```
# Here’s an example of a request including shipping information
# (deliveryAddress, desiredDeliveryDate, and shippingInstructions) and custom
# fields. The PATCH request fails if it includes only shipping instructions
# along with custom fields for either Cart or Cart Delivery Group.

{
  "deliveryAddress": {
    "name": "Alan Johnson",
    "firstName": "Alan",
    "lastName": "Johnson",
    "region": "CA",
    "country": "US",
    "city": "San Francisco",
    "street": "415 Mission St",
    "postalCode": "94105"
  },
  "desiredDeliveryDate": "2021-05-28T16:41:41.090Z",
  "shippingInstructions": "type code 1234 on gate keypad",
  "customFields": [
    {
      "attributes": {
        "type": "WebCart"
      },
      "Id": "0a6xx0000000000",
      "MyCustomTextField__c": "Foo",
      "MyCustomNumberField__c": 12.34,
      "MyCustomPercentField__c": 0.2345,
      "MyCustomGeolocationField__c": {
        "latitude": 33.345,
        "longitude": 45.567
      }
    },
    {
      "attributes": {
        "type": "CartDeliveryGroup"
      },
      "Id": "0a7SB000000oBujYAE",
      "MyCustomTextField__c": "Bar",
      "MyCustomNumberField__c": 4.55,
      "MyCustomPhoneField__c": "******1212",
      "MyCustomAddressField__c": {
        "street": "100 Folsom Street",
        "city": "San Francisco",
        "state": "California", //This field isn't currently supported in custom fields.
        "stateCode": "US_CA",
        "postalCode": "93555",
        "country": "United States", //This field isn't currently supported in custom fields.
        "countryCode": "US",
        "geocodeAccuracy": "City",
        "latitude": 34,
        "longitude": 85.9
      }
    }
  ]
}
```

_Example: Example 3 · HTTP_

```
{
  "deliveryAddress": {
    "name": "Alan Johnson",
    "firstName": "Alan",
    "lastName": "Johnson",
    "region": "CA",
    "country": "US",
    "city": "San Francisco",
    "street": "415 Mission St",
    "postalCode": "94105"
  },
  "desiredDeliveryDate": "2021-05-28T16:41:41.090Z",
  "shippingInstructions": "type code 1234 on gate keypad",
  "customFields": [
    {
      "attributes": {
        "type": "WebCart"
      },
      "Id": "0a6xx0000000000",
      "MyCustomTextField__c": "Foo",
      "MyCustomNumberField__c": 12.34,
      "MyCustomPercentField__c": 0.2345,
      "MyCustomGeolocationField__c": {
        "latitude": 33.345,
        "longitude": 45.567
      }
    },
    {
      "attributes": {
        "type": "CartDeliveryGroup"
      },
      "Id": "0a7SB000000oBujYAE",
      "MyCustomTextField__c": "Bar",
      "MyCustomNumberField__c": 4.55,
      "MyCustomPhoneField__c": "4145551212",
      "MyCustomAddressField__c": {
        "street": "100 Folsom Street",
        "city": "San Francisco",
        "state": "California", //This field isn't currently supported in customFields.
        "stateCode": "US_CA",
        "postalCode": "93555",
        "country": "United States", //This field isn't currently supported in customFields.
        "countryCode": "US",
        "geocodeAccuracy": "City",
        "latitude": 34,
        "longitude": 85.9
      }
    }
  ]
}
```

### POST Commerce Webstore Checkout Orders

`POST /commerce/webstores/{webstoreId}/checkouts/{activeOrCheckoutId}/orders`

Operation ID: `postCheckoutOrderV2`. Tags: Commerce B2B Resources.

Checkout Place Order Operations v2

Place an order for a Commerce store checkout.

_Available in: v55.0_

#### Error responses

An invalid POST request to [Commerce Webstore Checkout Orders](/docs/platform/connect-rest-api/references/connect-rest-api-commerce#tag/Commerce-B2B-Resources/operation/postCheckoutOrderV2) can return several HTTP response codes depending upon the type of error.

*   [409](/docs/platform/connect-rest-api/guide/connect_error_responses) indicates that you have custom code that's modifying the cart after a payment-autorization request. To resolve the error, make sure that you don’t have custom code that modifies the cart or a checkout session while calling POST.
*   In version 63.0 and later, [412](/docs/platform/connect-rest-api/guide/connect_error_responses) indicates that there’s an issue with a precondition, such as incomplete contact information or an inventory reservation error. To resolve the error, make sure that all required contact information is provided and that inventory reservations are correctly processed before calling POST.
*   In version 63.0 and later, [422](/docs/platform/connect-rest-api/guide/connect_error_responses) indicates a validation error such as an unauthorized payment method or missing delivery method. For 422 errors, a localized error message is included in the Checkout Order response body. To resolve the error, address the provided error message. For example, verify that the payment method is authorized or ensure that an order delivery method is provided during the checkout process.

**Note**: POST doesn’t take request parameters or a request body.

#### Parameters

*   `activeOrCheckoutId` (path, string, required)
    
    Values for `{activeOrCheckoutId}` are:
    
    *   `{checkoutId}` —ID of the checkout.
    *   `active` —Active checkout.
*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.

#### Responses

*   **200** _Checkout Order_ Order for a Commerce store checkout.
    
    Media type: `application/json`. Schema: `CheckoutOrderV2`.
    
    _Example: example\_1_ Payload 1
    
    ```
    {
      "orderReferenceNumber": "ER37G-VYS2M-6GPHH-HG4DE"
    }
    ```
    
    _Example: example\_2_ Payload 2
    
    (with errors)
    
    ```
    {
      "errors": [
        {
          "type": "/commerce/errors/shipping-failure",
          "title": "We are unable to place the order. Please correct the error and try again.",
          "detail": "There are no configured Order Delivery Methods."
        }
      ],
      "order​Reference​Number": "ER37G-VYS2M-6GPHH-HG4DE"
    }
    ```
    

### POST Commerce Webstore Checkout, Place Order Action

`POST /commerce/webstores/{webstoreId}/checkouts/{activeOrCheckoutId}/orders/actions`

Operation ID: `postCheckoutOrderAction`. Tags: Commerce B2B Resources.

Checkout Place Order Action Operations

Place an order for a Commerce store checkout.

_Available in: v64.0_

#### Parameters

*   `activeOrCheckoutId` (path, string, required)
    
    Values for `{activeOrCheckoutId}` are:
    
    *   `{checkoutId}` —ID of the checkout.
    *   `active` —Active checkout.
*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `effectiveAccountId` (query, string)
    
    ID of the account for which the request is made. If not specified, it defaults to the account ID for the context user.
    
    _Available in: v64.0_
    

#### Request body

Input representation of the Commerce store checkout.request.

_Available in: v64.0_

Media type: `application/json`. Schema: `CheckoutOrderActionListInput`.

_Example: example\_1_ Payload 1

Example request for the prepare action in a place order request:

```
{
  "actions": [
    {
      "action": "prepare"
    }
  ]
}
```

_Example: example\_2_ Payload 2

Example request for the submit action in a place order request:

```
{
  "actions": [
    {
      "action": "submit"
    }
  ]
}
```

#### Responses

*   **200** _Checkout Order Action Collection_ Output representation of the Commerce store checkout request.
    
    Media type: `application/json`. Schema: `CheckoutOrderActionCollection`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
https://yourInstance.salesforce.com/services/data/commerce/webstores/0ZExx000000005rGAA/checkouts/2z9R000000008LfIAI/orders/actions
Content-Type: application/json

{
  "actions": [
    {
      "action": "prepare"
    }
  ]
}
```

_Example: Example 2 · HTTP_

```
https://yourInstance.salesforce.com/services/data/commerce/webstores/0ZExx000000005rGAA/checkouts/2z9R000000008LfIAI/orders/actions
Content-Type: application/json

{
  "actions": [
    {
      "action": "submit"
    }
  ]
}
```

_Example: Example 3 · HTTP_

```
https://yourInstance.salesforce.com/services/data/commerce/webstores/0ZExx000000005rGAA/checkouts/active/orders/actions
Content-Type: application/json

{
  "actions": [
    {
      "action": "prepare"
    }
  ]
}
```

_Example: Example 4 · HTTP_

```
https://yourInstance.salesforce.com/services/data/commerce/webstores/0ZExx000000005rGAA/checkouts/active/orders/actions
Content-Type: application/json

{
  "actions": [
    {
      "action": "submit"
    }
  ]
}
```

_Example: Example 5 · HTTP_

```
https://yourInstance.salesforce.com/services/data/commerce/webstores/0ZExx000000005rGAA/checkouts/active/orders/actions?effectiveAccountId=001xx000003GYv5AAG
Content-Type: application/json

{
  "actions": [
    {
      "action": "prepare"
    }
  ]
}
```

_Example: Example 6 · HTTP_

```
https://yourInstance.salesforce.com/services/data/commerce/webstores/0ZExx000000005rGAA/checkouts/active/orders/actions?effectiveAccountId=001xx000003GYv5AAG
Content-Type: application/json

{
  "actions": [
    {
      "action": "submit"
    }
  ]
}
```

### POST Commerce Webstore Checkout Payments

`POST /commerce/webstores/{webstoreId}/checkouts/{activeOrCheckoutId}/payments`

Operation ID: `postCheckoutPayment`. Tags: Commerce B2B Resources.

Checkout Payment Operations

Payment for a Commerce store checkout.

To access this resource, you need a B2B or D2C Commerce license and the system permissions included in either the Buyer (B2B stores only) or Shopper (D2C stores only) [preconfigured permission set](https://help.salesforce.com/s/articleView?id=commerce.comm_preconfigured_perm_sets.htm&type=5).

In API version 63.0 and later, the Commerce Webstore Checkout Payments API is reenterable. If a payment already exists for a cart, a POST request handles the existing payment as follows.

*   If the payment is a PaymentAuthorization, the authorization is reversed.
*   If the payment is captured, a refund is issued.
*   If the payment is a simple purchase order, the purchase order number is replaced. Reentrance for simple purchase orders is supported in API version 64.0 and later.

You can update the billing address with a reentrant request. However, you can't change the payment type. For example, if a payment authorization or capture was performed, you can't make a new request with a requestType of `SimplePurchaseOrder`.

_Available in: v55.0_

#### Parameters

*   `activeOrCheckoutId` (path, string, required)
    
    Values for `{activeOrCheckoutId}` are:
    
    *   `{checkoutId}` —ID of the checkout.
    *   `active` —Active checkout.
*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.

#### Request body

Payment input for a Commerce store checkout.

Media type: `application/json`. Schema: `CheckoutPaymentInput`.

_Example: example\_1_ Payload 1

Authorized payment

```
{
  "requestType": "Auth",
  "paymentToken": "cardPaymentMethodId",
  "billingAddress": {
    "name": "John Doe",
    "street": "123 Acme Drive",
    "city": "Los Angeles",
    "region": "CA",
    "country": "US",
    "postalCode": "90001"
  }
}
```

_Example: example\_2_ Payload 2

Simple purchase order

```
{
  "requestType": "SimplePurchaseOrder",
  "paymentToken": 348957393223,
  "billingAddress": {
    "name": "John Doe",
    "street": "123 Acme Drive",
    "city": "Los Angeles",
    "region": "CA",
    "country": "US",
    "postalCode": "90001"
  }
}
```

#### Responses

*   **200** _Checkout Payment_ Payment response for a Commerce store checkout.
    
    Media type: `application/json`. Schema: `CheckoutPaymentOutput`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
{
   "requestType":"PostAuth",
   "paymentToken": 'pi_0swefj329r4ljsdfk',
   "billingAddress":{
      "name":"John Doe",
      "street":"123 Acme Drive",
      "city":"Los Angeles",
      "region":"CA",
      "country":"US",
      "postalCode":"90001"
   }
 }
```

### POST Commerce Webstore Payments Token

`POST /commerce/webstores/{webstoreId}/payments/token`

Operation ID: `postPaymentToken`. Tags: Commerce B2B Resources.

Payment token resource wrapper specific to payment api

Tokenize a payment for a Commerce store checkout.

To access this resource, you need a B2B Commerce license and the system permissions included in the Buyer (B2B stores only) [preconfigured permission set](https://help.salesforce.com/s/articleView?id=commerce.comm_preconfigured_perm_sets.htm&type=5).

_Available in: v55.0_

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `effectiveAccountId` (query, string (Id)) ID of the buyer account or guest buyer profile for which the request is made. If unspecified, the default value is determined from context.  
    Pattern: ^(001)\\w\*.

#### Request body

Input to tokenize a credit card payment method for a Commerce store checkout.

Media type: `application/json`. Schema: `PaymentTokenInput`.

#### Responses

*   **200** _Payment Token_ Represents a payment token for a Commerce store checkout.
    
    Media type: `application/json`. Schema: `PaymentToken`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
{
   "billingAddress":{
      "name":"John Doe",
      "street":"123 Acme Drive",
      "city":"Los Angeles",
      "region":"CA",
      "country":"US",
      "postalCode":"90001"
  }
   "cardPaymentMethod":{
      "cardHolderName":"John Doe",
      "cardNumber":"4242424242424242",
      "expiryMonth":"12",
      "expiryYear":"24",
      "cvv":"141",
      "cardType":"Visa"
   }
   "hasSubscriptionProduct": true,
}
```

### GET Commerce Webstore Wishlists

`GET /commerce/webstores/{webstoreId}/wishlists`

Operation ID: `getWishlist`. Tags: Commerce B2B Resources.

Used to create a Wishlist and takes optional products to add to this Wishlist.

Get wishlists.

If a store is segmented into markets, this API looks at the language parameter appended to the URL to determine the shopper’s locale and returns the appropriate values.

_Available in: v49.0_

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `effectiveAccountId` (query, string)
    
    ID of the account for which the request is made. If unspecified, defaults to the account ID for the context user.
    
    _Available in: v49.0_
    
*   `includeDisplayedList` (query, boolean)
    
    Specifies whether to include the displayed list (`true`) or not (`false`). If unspecified, defaults to `false` .
    
    _Available in: v49.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. If you don’t specify a value, the default size is 25.
    
    _Available in: v51.0_
    
*   `productFields` (query, string)
    
    Comma-separated list of custom product fields. Fields aren’t case-sensitive. For example, `ProductCode` and `productcode` return the same results.
    
    If `includeDisplayedList` is unspecified or `false`, `productFields` is ignored.
    
    _Available in: v51.0_
    
*   `sortItemsBy` (query, ConnectWishlistItemSortOrderEnum)
    
    Sort order for wishlist items. Values are:
    
    *   `CreatedDateAsc` —Sorts by oldest creation date.
    *   `CreatedDateDesc` —Sorts by most recent creation date.
    
    The default sort order is `CreatedDateDesc`.
    
    If `includeDisplayedList` is unspecified or `false`, `sortItemsBy` is ignored.
    
    _Available in: v51.0_
    
*   `wishlistId` (query, string)
    
    ID of the wishlist. If unspecified, all the wishlist summaries are returned.
    
    _Available in: v49.0_
    

#### Responses

*   **200** _Wishlist Summaries_ List of wishlist summaries and the displayed list for the context user.
    
    Media type: `application/json`. Schema: `WishlistSummaries`.
    

### POST Commerce Webstore Wishlists

`POST /commerce/webstores/{webstoreId}/wishlists`

Operation ID: `postWishlist`. Tags: Commerce B2B Resources.

Used to create a Wishlist and takes optional products to add to this Wishlist.

Create a wishlist.

If a store is segmented into markets, this API looks at the language parameter appended to the URL to determine the shopper’s locale and returns the appropriate values.

_Available in: v49.0_

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `effectiveAccountId` (query, string)
    
    ID of the account for which the request is made. If unspecified, defaults to the account ID for the context user.
    
    _Available in: v49.0_
    

#### Request body

Wishlist to create.

_Available in: v49.0_

Media type: `application/json`. Schema: `WishlistInput`.

_Example: example\_1_ Payload 1

```
{
  "name": "My List",
  "products": [
    {
      "productId": "01tRM000000Osl0YAC"
    },
    {
      "productId": "01tRM000000Oi92YAC"
    },
    {
      "productId": "01tRM000000NJCeYAO"
    }
  ]
}
```

#### Responses

*   **200** _Wishlist_ Wishlist, including summary and items.
    
    Media type: `application/json`. Schema: `Wishlist`.
    

### GET Commerce Webstore Wishlist

`GET /commerce/webstores/{webstoreId}/wishlists/{wishlistId}`

Operation ID: `getWishlistSummary`. Tags: Commerce B2B Resources.

Used to edit, delete or get a specific Wishlist.

Get a wishlist.

If a store is segmented into markets, this API looks at the language parameter appended to the URL to determine the shopper’s locale and returns the appropriate values.

_Available in: v49.0_

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `wishlistId` (path, string (Id), required) ID of the wishlist.  
    Pattern: ^(3or)\\w\*.
*   `effectiveAccountId` (query, string)
    
    ID of the account for which the request is made. If unspecified, defaults to the account ID for the context user.
    
    _Available in: v49.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. If you don’t specify a value, the default size is 25.
    
    _Available in: v51.0_
    
*   `productFields` (query, string)
    
    Comma-separated list of custom product fields. Fields aren’t case-sensitive. For example, `ProductCode` and `productcode` return the same results.
    
    _Available in: v51.0_
    
*   `sortItemsBy` (query, ConnectWishlistItemSortOrderEnum)
    
    Sort order for wishlist items. Values are:
    
    *   `CreatedDateAsc` —Sorts by oldest creation date.
    *   `CreatedDateDesc` —Sorts by most recent creation date.
    
    The default sort order is `CreatedDateDesc`.
    
    _Available in: v51.0_
    

#### Responses

*   **200** _Wishlist_ Wishlist, including summary and items.
    
    Media type: `application/json`. Schema: `Wishlist`.
    

### DELETE Commerce Webstore Wishlist

`DELETE /commerce/webstores/{webstoreId}/wishlists/{wishlistId}`

Operation ID: `deleteWishlistSummary`. Tags: Commerce B2B Resources.

Used to edit, delete or get a specific Wishlist.

Delete a wishlist.

If a store is segmented into markets, this API looks at the language parameter appended to the URL to determine the shopper’s locale and returns the appropriate values.

_Available in: v49.0_

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `wishlistId` (path, string (Id), required) ID of the wishlist.  
    Pattern: ^(3or)\\w\*.
*   `effectiveAccountId` (query, string)
    
    ID of the account for which the request is made. If unspecified, defaults to the account ID for the context user.
    
    _Available in: v51.0_
    

#### Responses

*   **204** _Successful Delete_ Success

### PATCH Commerce Webstore Wishlist

`PATCH /commerce/webstores/{webstoreId}/wishlists/{wishlistId}`

Operation ID: `patchWishlistSummary`. Tags: Commerce B2B Resources.

Used to edit, delete or get a specific Wishlist.

Update the name of a wishlist.

If a store is segmented into markets, this API looks at the language parameter appended to the URL to determine the shopper’s locale and returns the appropriate values.

_Available in: v49.0_

**Note:** PATCH is supported in version 50.0 and later.

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `wishlistId` (path, string (Id), required) ID of the wishlist.  
    Pattern: ^(3or)\\w\*.
*   `effectiveAccountId` (query, string)
    
    ID of the account for which the request is made. If unspecified, defaults to the account ID for the context user.
    
    _Available in: v50.0_
    

#### Request body

Wishlist name to update.

_Available in: v50.0_

Media type: `application/json`. Schema: `WishlistUpdateInput`.

_Example: example\_1_ Payload 1

```
{
  "name": "My List"
}
```

#### Responses

*   **200** _Wishlist Summary_ Summary of a wishlist.
    
    Media type: `application/json`. Schema: `WishlistSummary`.
    

### POST Commerce Webstore Wishlist, Add to Cart

`POST /commerce/webstores/{webstoreId}/wishlists/{wishlistId}/actions/add-wishlist-to-cart`

Operation ID: `postWishlistAddToCart`. Tags: Commerce B2B Resources.

Used to add products from a Wishlist to a Cart.

Add a wishlist to a cart.

Adding wishlists to carts respects buyer View Product entitlements and only users entitled to view product data can access it.

If a store is segmented into markets, this API looks at the language parameter appended to the URL to determine the shopper’s locale and returns the appropriate values.

_Available in: v49.0_

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `wishlistId` (path, string (Id), required) ID of the wishlist.  
    Pattern: ^(3or)\\w\*.
*   `cartId` (query, string)
    
    ID of the cart. If unspecified, wishlist items are added to the active cart.
    
    _Available in: v49.0_
    
*   `effectiveAccountId` (query, string)
    
    ID of the account for which the request is made. If unspecified, defaults to the account ID for the context user.
    
    _Available in: v49.0_
    

#### Responses

*   **200** _Wishlist to Cart Result_ Result of adding a wishlist to a cart.
    
    Media type: `application/json`. Schema: `WishlistToCartResult`.
    

### GET Commerce Webstore Wishlist Items

`GET /commerce/webstores/{webstoreId}/wishlists/{wishlistId}/wishlist-items`

Operation ID: `getWishlistItemCollection`. Tags: Commerce B2B Resources.

Used to add and read items from Wishlist Item Collection.

Get wishlist items.

Adding items to wishlists respects buyer View Product entitlements and only users entitled to view product data can access it.

If a store is segmented into markets, this API looks at the language parameter appended to the URL to determine the shopper’s locale and returns the appropriate values.

_Available in: v49.0_

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `wishlistId` (path, string (Id), required) ID of the wishlist.  
    Pattern: ^(3or)\\w\*.
*   `effectiveAccountId` (query, string)
    
    ID of the account for which the request is made. If unspecified, defaults to the account ID for the context user.
    
    _Available in: v49.0_
    
*   `page` (query, string)
    
    Specifies the page token to use to view a page of information. Page tokens are returned as part of the response, such as `currentPageToken` or `nextPageToken`. If you don’t specify a value, the first page is returned.
    
    _Available in: v49.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 200. If unspecified, the default size is 25.
    
    _Available in: v49.0_
    
*   `productFields` (query, string)
    
    Comma-separated list of custom product fields. Fields aren’t case-sensitive. For example, `ProductCode` and `productcode` return the same results.
    
    _Available in: v51.0_
    
*   `sortItemsBy` (query, ConnectWishlistItemSortOrderEnum)
    
    Sort order for wishlist items. Values are:
    
    *   `CreatedDateAsc` —Sorts by oldest creation date.
    *   `CreatedDateDesc` —Sorts by most recent creation date.
    
    The default sort order is `CreatedDateDesc`.
    
    _Available in: v51.0_
    

#### Responses

*   **200** _Wishlist Item Collection_ Collection of wishlist items.
    
    Media type: `application/json`. Schema: `WishlistItemCollection`.
    

### POST Commerce Webstore Wishlist Items

`POST /commerce/webstores/{webstoreId}/wishlists/{wishlistId}/wishlist-items`

Operation ID: `postWishlistItemCollection`. Tags: Commerce B2B Resources.

Used to add and read items from Wishlist Item Collection.

Add items to the wishlist.

Adding items to wishlists respects buyer View Product entitlements and only users entitled to view product data can access it.

If a store is segmented into markets, this API looks at the language parameter appended to the URL to determine the shopper’s locale and returns the appropriate values.

_Available in: v49.0_

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `wishlistId` (path, string (Id), required) ID of the wishlist.  
    Pattern: ^(3or)\\w\*.
*   `effectiveAccountId` (query, string)
    
    ID of the account for which the request is made. If unspecified, defaults to the account ID for the context user.
    
    _Available in: v49.0_
    

#### Request body

Item to update or add to a wishlist.

_Available in: v49.0_

Media type: `application/json`. Schema: `WishlistItemInput`.

_Example: example\_1_ Payload 1

```
{
  "productId": "01tRM000000NJCeYAO"
}
```

#### Responses

*   **200** _Wishlist Item_ Item in a wishlist to create.
    
    Media type: `application/json`. Schema: `WishlistItem`.
    

### DELETE Commerce Webstore Wishlist Item

`DELETE /commerce/webstores/{webstoreId}/wishlists/{wishlistId}/wishlist-items/{wishlistItemId}`

Operation ID: `deleteWishlistItem`. Tags: Commerce B2B Resources.

Used to update or delete single Wishlist Item.

Delete a wishlist item.

_Available in: v49.0_

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `wishlistId` (path, string (Id), required) ID of the wishlist.  
    Pattern: ^(3or)\\w\*.
*   `wishlistItemId` (path, string (Id), required) ID of the wishlist item.  
    Pattern: ^(3os)\\w\*.
*   `effectiveAccountId` (query, string)
    
    ID of the account for which the request is made. If unspecified, defaults to the account ID for the context user.
    
    _Available in: v49.0_
    

#### Responses

*   **200** _Status Codes and Error Responses_ The response header contains an HTTP status code. If the response isn’t successful, the response body contains an error message, and if appropriate, information about the field or object where the error occurred.

### GET Commerce Webstore Account Addresses

`GET /commerce/webstores/{webstoreId}/accounts/{accountId}/addresses`

Operation ID: `getCommerceAddress`. Tags: Commerce B2B Resources.

Commerce Account address management.

Retrieve a collection of addresses for a webstore account.

_Available in: v54.0_

#### Parameters

*   `accountId` (path, string, required) ID of the account.
*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `addressId` (query, string)
    
    ID of the account address.
    
    _Available in: v56.0_
    
*   `addressType` (query, array of string)
    
    List of address types (for example, “Shipping” or “Billing”).
    
    _Available in: v54.0_
    
*   `defaultOnly` (query, boolean)
    
    Indicate if you only want the default address ( `true` ) or all addresses for the account ( `false` ). The default value is `false` .
    
    _Available in: v54.0_
    
*   `excludeUnsupportedCountries` (query, boolean)
    
    Indicate if you want to retrieve all addresses ( `false` ) or only addresses of type Shipping that are in countries included in the store’s shipToCountries list ( `true` ). The default value is `false` .
    
    _Available in: v57.0_
    
*   `fields` (query, array of string)
    
    A list of custom fields for the address.
    
    _Available in: v54.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. If you don’t specify a value, the default size is 25.
    
    _Available in: v54.0_
    
*   `pageToken` (query, string)
    
    Specifies the page token to use to view a page of information. Page tokens are returned as part of the response, such as `currentPageToken` or `nextPageToken`. If you don’t specify a value, the first page is returned.
    
    _Available in: v54.0_
    
*   `shouldShowDefaultAddrFirst` (query, boolean)
*   `sortOrder` (query, ConnectCommerceAddressSortOrderEnum)
    
    Sort order for Commerce addresses. Values are:
    
    *   `CreatedDateAsc` —Sort in ascending order of created date.
    *   `CreatedDateDesc` —Sort in descending order of created date.
    *   `NameAsc` —Sort in ascending order of name.
    *   `NameDesc` —Sort in descending order of name.
    
    _Available in: v54.0_
    

#### Responses

*   **200** _Commerce Address Collection_ A collection of commerce addresses.
    
    Media type: `application/json`. Schema: `CommerceAddressCollection`.
    

### POST Commerce Webstore Account Addresses

`POST /commerce/webstores/{webstoreId}/accounts/{accountId}/addresses`

Operation ID: `postCommerceAddress`. Tags: Commerce B2B Resources.

Commerce Account address management.

Create a Commerce account address for a webstore.

_Available in: v54.0_

#### Parameters

*   `accountId` (path, string, required) ID of the account.
*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.

#### Request body

Commerce address input.

Media type: `application/json`. Schema: `CommerceAddressInput`.

#### Responses

*   **200** _Commerce Address_ Address for a Commerce account.
    
    Media type: `application/json`. Schema: `CommerceAddressOutput`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
{
  "addressId":"81Wxx0000000001EAA",
  "city":"Boston",
  "country":"US",
  "isDefault":true,
  "name":"Home Address",
  "postalCode":"01234",
  "region":"MA",
  "street":"1 Milk Street",
  “addressType”: “Billing”,
  "commerceAddressFieldInputList": {
                 "fields" : [ {
                            "dataName" : "options__c",
                            "text" : "alpha"
                            } ]
  }
}
```

### DELETE Commerce Webstore Account Address

`DELETE /commerce/webstores/{webstoreId}/accounts/{accountId}/addresses/{addressId}`

Operation ID: `deleteCommerceAddressPatchDelete`. Tags: Commerce B2B Resources.

Commerce Account address management.

Delete an address for a Commerce account associated with a webstore.

_Available in: v54.0_

#### Parameters

*   `accountId` (path, string, required) ID of the account.
*   `addressId` (path, string (Id), required) ID of the address.  
    Pattern: ^(8lW)\\w\*.
*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.

#### Responses

*   **200** Success

### PATCH Commerce Webstore Account Address

`PATCH /commerce/webstores/{webstoreId}/accounts/{accountId}/addresses/{addressId}`

Operation ID: `patchCommerceAddressPatchDelete`. Tags: Commerce B2B Resources.

Commerce Account address management.

Update an address for a Commerce account associated with a webstore.

_Available in: v54.0_

#### Parameters

*   `accountId` (path, string, required) ID of the account.
*   `addressId` (path, string (Id), required) ID of the address.  
    Pattern: ^(8lW)\\w\*.
*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.

#### Request body

Commerce address input.

Media type: `application/json`. Schema: `CommerceAddressInput`.

#### Responses

*   **200** _Commerce Address_ Address for a Commerce account.
    
    Media type: `application/json`. Schema: `CommerceAddressOutput`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
{
  "addressId":"81Wxx0000000001EAA",
  "city":"Boston",
  "country":"US",
  "isDefault":true,
  "name":"Home Address",
  "postalCode":"01234",
  "region":"MA",
  "street":"1 Milk Street",
  “addressType”: “Billing”,
  "commerceAddressFieldInputList": {
                 "fields" : [ {
                            "dataName" : "options__c",
                            "text" : "alpha"
                            } ]
  }
}
```

### POST Commerce Webstore Buyer Registration

`POST /commerce/webstores/{webstoreId}/buyers/registrations`

Operation ID: `postBuyerRegistration`. Tags: Commerce B2B Resources.

Initiates buyer registration process for a guest user

Lets a guest shopper register an account with a merchant. This resource is for use with one-click checkout with Salesforce Payments and Salesforce Commerce. Before the shopper completes their order, they can choose to save their payment and shipping information for future use. This resource creates a Person account, user record, and a contact point address for saving shipping information.

To use this API, complete these store configurations:

*   Enable Person Accounts
*   Configure self-registration
*   Enable guest user access to the webstore

_Available in: v61.0_

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.

#### Request body

Provides a customer’s account registration information for your store.

Media type: `application/json`. Schema: `BuyerRegistrationInput`.

#### Responses

*   **200** _Buyer Registration_ The ID of the registered buyer that is returned in the response.
    
    Media type: `application/json`. Schema: `BuyerRegistration`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
{
"captchaToken": "EXAMPLE_CAPTCHA_TOKEN_VALUE",
  "email": "jdoe@salesforce.com",
  "phoneNumber": "+18585559876",
  "firstName": "Jose",
  "lastName": "Figueroa",
  "addressList": {
     "addresses": [
       {
        "city": "San Ysidro",
         "companyName": "",
         "country": "US",
         "firstName": "Jose",
         "lastName": "Figueroa",
         "name": "Jose Figueroa",
         "postalCode": "92143",
         "region": "MA",
         "street": "1 Main St"
         }
       ]
    }
```

### GET Commerce Webstore My Profile

`GET /commerce/webstores/{webstoreId}/myprofile`

Operation ID: `getBuyerProfile`. Tags: Commerce B2B Resources.

Fetch a buyer profile.

Retrieve the buyer's account details.

The `Commerce Webstore My Profile Initiate OTP` and `Commerce Webstore My Profile Verify OTP` APIs integrate with the myprofile API to securely manage updates to a buyer's profile information—specifically their email and phone number. These APIs enforce re-authentication before any changes are made, ensuring that only authorized users can modify contact details and that the new information is verified as belonging to the buyer.

_Available in: v52.0_

**Note:** GET is supported in API version 52.0 and later.

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `BuyerProfile`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
https://yourInstance.salesforce.com/services/data/v67.0/commerce/webstores/0ZExx000000005rGAA/myprofile
```

### PATCH Commerce Webstore My Profile

`PATCH /commerce/webstores/{webstoreId}/myprofile`

Operation ID: `patchBuyerProfile`. Tags: Commerce B2B Resources.

Fetch a buyer profile.

Update buyer account details. Updates the registered buyer’s details by identifying the buyer user’s ID within the logged-in context.

The `Commerce Webstore My Profile Initiate OTP` and `Commerce Webstore My Profile Verify OTP` APIs integrate with the myprofile API to securely manage updates to a buyer's profile information—specifically their email and phone number. These APIs enforce re-authentication before any changes are made, ensuring that only authorized users can modify contact details and that the new information is verified as belonging to the buyer.

_Available in: v52.0_

**Note:** PATCH is supported in API version 59.0 and later.

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.

#### Request body

Input details for the buyer profile update request.

Media type: `application/json`. Schema: `BuyerProfileInput`.

_Example: example\_1_ Payload 1

Here's an example of a request that includes both email and phone number updates when two-factor authentication is disabled:

```
{
  "firstName": "Morton",
  "lastName": "Strosin",
  "email": "Ma**********@vi*****.info",
  "phoneNumber": "********7740",
  "verificationInput": {}
}
```

_Example: example\_2_ Payload 2

Here's an example of a request that includes an email update when two-factor authentication is enabled:

```
{
  "firstName": "Morton",
  "lastName": "Strosin",
  "email": "Ma**********@vi*****.info",
  "verificationInput": {
    "reCaptchaToken": "EXAMPLE_RECAPTCHA_TOKEN_VALUE",
    "stepUpVerificationIdentifier": "hjdfghjdfgj768"
  }
}
```

_Example: example\_3_ Payload 3

Here's an example of a request that includes a phone number update when two-factor authentication is enabled:

```
{
  "firstName": "Morton",
  "lastName": "Strosin",
  "phoneNumber": "********7740",
  "verificationInput": {
    "reCaptchaToken": "EXAMPLE_RECAPTCHA_TOKEN_VALUE",
    "stepUpVerificationIdentifier": "hjdfghjdfgj768"
  }
}
```

#### Responses

*   **200** _Buyer Profile Update_ Output details for a buyer profile update request.
    
    Media type: `application/json`. Schema: `BuyerProfilePatch`.
    
    _Example: example\_1_ Payload 1
    
    Here's an example of a response when two-factor authentication is disabled:
    
    ```
    {
      "firstName": "Morton",
      "isEmailVerified": "true",
      "isPhoneVerified": "true",
      "lastName": "Strosin",
      "email": "Ma**********@vi*****.info",
      "phoneNumber": "********7740",
      "userName": "morton.Strosin10@salesforce.com",
      "verificationResponse": {}
    }
    ```
    
    _Example: example\_2_ Payload 2
    
    Here's an example of a response when two-factor authentication is enabled:
    
    ```
    {
      "firstName": "Morton",
      "isEmailVerified": "true",
      "isPhoneVerified": "true",
      "lastName": "Strosin",
      "email": "Ma**********@vi*****.info",
      "phoneNumber": "********7740",
      "userName": "morton.Strosin10@salesforce.com",
      "verificationResponse": {
        "identifier": "z9jOsN8Buj8bRISupnbg",
        "message": "Ok",
        "method": "Sms",
        "recipient": "(***) ***-6705",
        "status": "Success"
      }
    }
    ```
    

### POST Commerce Webstore My Profile Initiate OTP

`POST /commerce/webstores/{webstoreId}/myprofile/actions/initOTP`

Operation ID: `postBuyerProfileInit`. Tags: Commerce B2B Resources.

This API will be consumed for verify action on Email and Phone field. This will internally trigger the OTP on the unverified email/phone.

Initiate the one-time password (OTP) via the specified method, such as SMS or Email. The API returns a unique identifier associated with the OTP request.

This process make sures that any changes to buyer's critical information, such as email and phone number, are securely verified before the update using the [Commerce Webstore My Profile](/docs/platform/connect-rest-api/references/connect-rest-api-commerce#tag/Commerce-B2B-Resources/operation/getBuyerProfile) PATCH method.

_Available in: v64.0_

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.

#### Request body

Input details for a buyer profile OTP initiate request.

Media type: `application/json`. Schema: `BuyerProfileInitInput`.

_Example: example\_1_ Payload 1

```
{
  "method": "SMS",
  "reCaptchaToken": "EXAMPLE_RECAPTCHA_TOKEN_VALUE",
  "type": "Verify"
}
```

#### Responses

*   **200** _Buyer Profile Initiate OTP Output_ Output details for the buyer profile OTP initiate request.
    
    Media type: `application/json`. Schema: `BuyerProfileInitOutput`.
    
    _Example: example\_1_ Payload 1
    
    ```
    {
      "identifier": "z9jOsN8Buj8bRISupnbg",
      "message": "The update request was successful.",
      "recipient": "(***) ***-6705",
      "status": "Success"
    }
    ```
    

#### Code samples

_Example: Example 1 · HTTP_

```
https://yourInstance.salesforce.com/services/data/v67.0/commerce/webstores/0ZExx000000005rGAA/myprofile/actions/initOTP
Content-Type: application/json

{
  "method": "SMS",
  "reCaptchaToken": "EXAMPLE_RECAPTCHA_TOKEN_VALUE",
  "type": "Verify"
}
```

### POST Commerce Webstore My Profile Verify OTP

`POST /commerce/webstores/{webstoreId}/myprofile/actions/verify`

Operation ID: `postBuyerProfileVerify`. Tags: Commerce B2B Resources.

Verifies the code entered by User for Step-Up Verification and Email/Phone Number verification.

Validate the one-time-password (OTP) provided by the buyer.

The OTP is initiated through the [Commerce Webstore My Profile Initiate OTP](/docs/platform/connect-rest-api/references/connect-rest-api-commerce#tag/Commerce-B2B-Resources/operation/postBuyerProfileInit) API, which is triggered when there is a change in the buyer's email or phone number.

This API must be called before updating the buyer's email and phone number using the [Commerce Webstore My Profile](/docs/platform/connect-rest-api/references/connect-rest-api-commerce#tag/Commerce-B2B-Resources/operation/getBuyerProfile) PATCH method. Upon successful verification, the buyer's email or phone number is updated, and the corresponding verification fields, including `hasUserVerifiedEmail` or `hasUserVerifiedPhoneNumber` are set to true in the API response.

_Available in: v64.0_

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.

#### Request body

Input details for the buyer profile verify request.

Media type: `application/json`. Schema: `BuyerProfileVerifyInput`.

_Example: example\_1_ Payload 1

```
{
  "code": "87XXXX",
  "identifier": "z9jOsN8Buj8bRISupnbg"
}
```

#### Responses

*   **200** _Buyer Profile Verify Output_ Output details for the buyer profile verify request.
    
    Media type: `application/json`. Schema: `BuyerProfileVerifyOutput`.
    
    _Example: example\_1_ Payload 1
    
    ```
    {
      "identifier": "z9jOsN8Buj8bRISupnbg",
      "message": "The verification request was successful.",
      "status": "Success"
    }
    ```
    

#### Code samples

_Example: Example 1 · HTTP_

```
https://yourInstance.salesforce.com/services/data/v67.0/commerce/webstores/0ZExx000000005rGAA/myprofile/actions/verify
Content-Type: application/json

{
  "code": "87XXXX",
  "identifier": "z9jOsN8Buj8bRISupnbg"
}
```

### GET Commerce Webstore Order Summaries

`GET /commerce/webstores/{webstoreId}/order-summaries`

Operation ID: `getOrderSummaryCollection`. Tags: Commerce B2B Resources.

Fetch collection of order summaries.

Get order summaries. This API is available only to registered users.

_Available in: v51.0_

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `earliestDate` (query, string)
    
    Oldest created or ordered date, depending on the `sortOrder` value, for order summaries to return. Results include any orders on and after this date.. The supported date format is `yyyy-MM-dd'T'HH:mm:ss.SSSZ`. For example, 2001-07-04T12:08:56.235-0700 , 2001-07-04T12:08:56.235+0700, or 2001-07-04T12:08:56.235-0000 (UTC). See [Valid Date and DateTime Formats](https://developer.salesforce.com/docs/atlas.en-us.api_rest.meta/api_rest/intro_valid_date_formats.htm).
    
    _Available in: v51.0_
    
*   `effectiveAccountId` (query, string)
    
    ID of the account for which the request is made. If unspecified, defaults to the account ID for the context user.
    
    _Available in: v51.0_
    
*   `fields` (query, array of string)
    
    List of up to 35 additional order summary fields to display in the UI in each item row. For example, `fields=orderNumber, status, orderLifeCycleType` .
    
    These order summary fields are returned regardless of fields specified.
    
    *   `createdDate`
    *   `orderSummaryId`
    *   `orderNumber`
    *   `orderedDate`
    *   `ownerId`
    *   `status`
    *   `totalAmount`
    
    _Available in: v51.0_
    
*   `includeAdjustmentDetails` (query, boolean)
    
    Specifies whether to fetch price adjustment details based on their type (`true`). If unspecified, defaults to `false`.
    
    _Available in: v56.0_
    
*   `includeProducts` (query, boolean)
    
    Specifies whether to include product media in order summaries (`true`) or not (`false`). If unspecified, defaults to `false`.
    
    _Available in: v61.0_
    
*   `latestDate` (query, string)
    
    Most recent created or ordered date, depending on the `sortOrder` value, for order summaries to return. Results include any orders before this date. The supported date format is `yyyy-MM-dd'T'HH:mm:ss.SSSZ`. For example, 2001-07-04T12:08:56.235-0700 , 2001-07-04T12:08:56.235+0700, or 2001-07-04T12:08:56.235-0000 (UTC). See [Valid Date and DateTime Formats](https://developer.salesforce.com/docs/atlas.en-us.api_rest.meta/api_rest/intro_valid_date_formats.htm).
    
    _Available in: v51.0_
    
*   `ownerScoped` (query, boolean)
    
    Specifies whether the results are scoped to orders owned by the context user (`true`) or to orders owned by and shared with the context user (`false`). If unspecified, defaults to `true`.
    
    _Available in: v51.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. If you don’t specify a value, the default size is 25.
    
    _Available in: v51.0_
    
*   `pageToken` (query, string)
    
    Specifies the base64 encoded page token. Page tokens are returned as part of the response. If unspecified, the first page is returned.
    
    _Available in: v51.0_
    
*   `sortOrder` (query, ConnectOrderSummarySortEnum)
    
    Sort order for order summaries. Values are:
    
    *   `CreatedDateAsc` —Sorts by the oldest created date.
    *   `CreatedDateDesc` —Sorts by the most recent created date.
    *   `OrderedDateAsc` —Sorts by the oldest ordered date.
    *   `OrderedDateDesc` —Sorts by the most recent ordered date.
    
    If unspecified, defaults to `OrderedDateDesc`.
    
    If you’re sorting by ordered date, make sure the ordered date is populated on your order summary records. A `null` value isn’t supported and results in an error.
    
    _Available in: v51.0_
    

#### Responses

*   **200** _Order Summary Collection_ Collection of order summaries.
    
    Media type: `application/json`. Schema: `OrderSummaryCollection`.
    
    _Example: example\_1_ Payload 1
    
    ```
    {
      "count": 2,
      "currentPageToken": null,
      "currentPageUrl": "/services/data/v67.0/commerce/webstores/0ZEOK00000008vK/order-summaries?​effectiveAccountId=001OK000001o5Ft&fields=AccountId&includeAdjustmentDetails=false&includeProducts=true​&ownerScoped=false&pageSize=25&sortOrder=OrderedDateDesc",
      "nextPageToken": null,
      "nextPageUrl": null,
      "orderSummaries": [
        {
          "adjustmentAggregates": null,
          "createdDate": "2024-03-08T07:28:32.000Z",
          "currencyIsoCode": "USD",
          "fields": {
            "AccountId": {
              "label": "Account ID",
              "text": "001OK000001o5FtYAI",
              "type": "reference"
            }
          },
          "orderNumber": "00000110",
          "orderSummaryId": "1OsOK00000006Sh0AI",
          "orderedDate": "2023-10-02T11:03:27.000Z",
          "ownerId": "005OK000000JZklYAG",
          "products": [
            {
              "canViewProduct": true,
              "errorCode": null,
              "errorMessage": null,
              "fields": {},
              "id": "01tOK000000EUprYAG",
              "media": {
                "alternateText": "Default Image",
                "contentVersionId": null,
                "id": null,
                "mediaType": null,
                "sortOrder": null,
                "thumbnailUrl": "/img/b2b/default-product-image.svg",
                "title": null,
                "url": null
              },
              "variationAttributes": {}
            }
          ],
          "status": "Created",
          "totalAmount": "26.98"
        },
        {
          "adjustmentAggregates": null,
          "createdDate": "2024-03-08T07:28:32.000Z",
          "currencyIsoCode": "USD",
          "fields": {
            "AccountId": {
              "label": "Account ID",
              "text": "001OK000001o5FtYAI",
              "type": "reference"
            }
          },
          "orderNumber": 109,
          "orderSummaryId": "1OsOK00000006Sg0AI",
          "orderedDate": "2023-10-02T11:02:06.000Z",
          "ownerId": "005OK000000JZklYAG",
          "products": [
            {
              "canViewProduct": true,
              "errorCode": null,
              "errorMessage": null,
              "fields": {},
              "id": "01tOK000000EUpmYAG",
              "media": {
                "alternateText": "Default Image",
                "contentVersionId": null,
                "id": null,
                "mediaType": null,
                "sortOrder": null,
                "thumbnailUrl": "/img/b2b/default-product-image.svg",
                "title": null,
                "url": null
              },
              "variationAttributes": {}
            }
          ],
          "status": "Created",
          "totalAmount": "561.98"
        }
      ],
      "previousPageToken": null,
      "previousPageUrl": null,
      "sortOrder": "OrderedDateDesc"
    }
    ```
    

#### Code samples

_Example: Example 1 · HTTP_

```
https://yourInstance.salesforce.com/services/data/v67.0/commerce/webstores/0ZExx0000000002GAA/order-summaries
```

_Example: Example 2 · HTTP_

```
https://yourInstance.salesforce.com/services/data/v67.0/commerce/webstores/0ZEOK00000008vK4AQ/order-summaries?effectiveAccountId=001OK000001o5FtYAI&ownerScoped=false&fields=AccountId&includeProducts=true
```

### POST Commerce Webstore Add Order Summaries to Cart v2

`POST /commerce/webstores/{webstoreId}/order-summaries/actions/add-order-to-cart`

Operation ID: `postAddOrderToCartResourceV2`. Tags: Commerce B2B Resources.

Performs add-order-to-cart action on an OrderSummary

Add an order summary to an active or a current cart. The API includes products from the existing order summary, with the same quantity and configuration details, such as the product selling model.

This API is available to both registered and guest users. For registered users, this API uses the webstore’s order summary ID or reference number. For guest users, provide an order summary reference number.

Authenticated users can reorder simple, variant, bundle, and configurable products, whereas guest users can't reorder configurable products. Support for reordering configurable products is available starting from API version 67.0 and later, and requires a Revenue Lifecycle Management license in addition to the B2B Commerce license.

This API authorizes guest users using either a session cookie, an access token generated via the [Commerce Webstore Order Summary Authorization](/docs/platform/connect-rest-api/references/connect-rest-api-commerce#tag/Commerce-B2B-Resources/operation/postOrderSummaryAuthorization) API, or a `verification` object (email, last name, or phone). If both an access token and verification input are provided along with the session cookie, the API authorizes using whichever one is valid.

**Note**: Session cookie authorization is only available on Salesforce-hosted stores.

If the existing order summary includes a gift-wrap item, this API only adds the other items to the cart, ignoring the gift-wrap item. For example, if you have eight order item summaries and a gift-wrap item summary in an order summary, only these eight products are added to the cart when you reorder. However, buyers can choose to add gift wrap for the new order during checkout.

**Note**: Gift wrap applies to the entire order summary with a single delivery address and isn't for a specific order item summary.

_Available in: v59.0_

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `effectiveAccountId` (query, string)
    
    ID of the account for which the request is made. If unspecified, defaults to the account ID for the context user.
    
    This field is required only for authenticated or registered shoppers.
    
    _Available in: v59.0_
    

#### Request body

Input for adding an order to a cart.

_Available in: v59.0_

Media type: `application/json`. Schema: `AddOrderToCartInput`.

_Example: example\_1_ Payload 1

Here’s a sample request for a registerd user:

```
{
  "cartStateOrId": "active",
  "orderSummaryIdOrRefNumber": "Oder_Summary_ID"
}
```

_Example: example\_2_ Payload 2

Here’s a sample request with verification for a guest user:

```
{
  "cartStateOrId": "active",
  "orderSummaryIdOrRefNumber": "GJA4C-MUVBN-6ZT4P-V6CSB",
  "verification": {
    "email": "Ma**********@vi*****.info",
    "lastName": "Strosin",
    "phoneNumber": "********7740"
  }
}
```

#### Responses

*   **200** _Order to Cart Result_ Result of action adding an order to a cart.
    
    Media type: `application/json`. Schema: `OrderToCartResult`.
    
    _Example: example\_1_ Payload 1
    
    ```
    {
      "cartId": "0a6RO0000000146YAA",
      "totalSucceededProductCount": 3,
      "totalFailedProductCount": 2,
      "unaddedProducts": [
        {
          "productId": "01txx00000034cv",
          "productName": "Sample Product Name 1",
          "productSKU": "00001",
          "errorCode": "ERROR_MAX_LIMIT_EXCEEDED",
          "errorMessage": "Sample Error Message 1",
          "media": {
            "alternateText": null,
            "contentVersionId": null,
            "id": "2pmRO00000000x2YAA",
            "mediaType": null,
            "sortOrder": null,
            "thumbnailUrl": null,
            "title": "tshirt 5",
            "url": "/cms/delivery/media/MC2KSOOFJGRZDDJGQG4QJHLKHTZQ?recordId=01tRO000000FVNB&buyerId=001RO000001npBo"
          }
        },
        {
          "productId": "01txx00000034cw",
          "productName": "Sample Product Name 2",
          "productSKU": "00002",
          "errorCode": "ERROR_SAVING_CARTITEM",
          "errorMessage": "Sample Error Message 2",
          "media": {
            "alternateText": null,
            "contentVersionId": null,
            "id": "2pmRO00000000x2YAB",
            "mediaType": null,
            "sortOrder": null,
            "thumbnailUrl": null,
            "title": "tshirt 3",
            "url": "/cms/delivery/media/MC2KSOOFJGRZDDJGQG4QJHLKHTZQ?recordId=01tRO000000FVNB&buyerId=001RO000001npBo"
          }
        }
      ]
    }
    ```
    

#### Code samples

_Example: Example 1 · HTTP_

```
# Here’s a sample request with access token for a guest user:

{
  "cartStateOrId": "active",
  "orderSummaryIdOrRefNumber": "GJA4C-MUVBN-6ZT4P-V6CSB",
  "accessToken": "U2FsdGVkX1+kp1d8aQKHsqZJv1shF8Jx4Nc0kOdN+L5gViQa/sZtU5NHMDpIUEhz"
  }
}
```

### POST Commerce Webstore Order Summary Authorization

`POST /commerce/webstores/{webstoreId}/order-summaries/actions/authorize`

Operation ID: `postOrderSummaryAuthorization`. Tags: Commerce B2B Resources.

Authorize guest users by validating the Guest PII for requested orderSummary

Authorize guest users by verifying their personally identifiable information to access the requested order summary. This API is specifically for guest users.

This API is used to authorize a guest user and retrieve an access token, which can then be used as input for the Commerce Webstore Order Summary Lookup GET API to retrieve the requested order summary record. The access token is valid for 60 minutes.

_Available in: v64.0_

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.

#### Request body

Input representation to authorize guest access for the requested order summary record.

Media type: `application/json`. Schema: `OrderSummaryAuthorizationInput`.

_Example: example\_1_ Payload 1

```
{
  "email": "Ma**********@vi*****.info",
  "lastName": "Strosin",
  "orderSummaryRefNumber": "GJA4C-MUVBN-6ZT4P-V6CSB",
  "phoneNumber": "********7740"
}
```

#### Responses

*   **200** _Order Summary Authorization Output_ Result of the authorize guest user request.
    
    Media type: `application/json`. Schema: `OrderSummaryAuthorizationOutput`.
    
    _Example: example\_1_ Payload 1
    
    ```
    {
      "accessToken": "U2FsdGVkX1+kp1d8aQKHsqZJv1shF8Jx4Nc0kOdN+L5gViQa/sZtU5NHMDpIUEhz"
    }
    ```
    

#### Code samples

_Example: Example 1 · HTTP_

```
https://yourInstance.salesforce.com/services/data/v67.0/commerce/webstores/0ZExx000000005rGAA/order-summaries/actions/authorize
Content-Type: application/json

{
  "email": "Ma**********@vi*****.info",
  "lastName": "Strosin",
  "orderSummaryRefNumber": "GJA4C-MUVBN-6ZT4P-V6CSB",
  "phoneNumber": "********7740"
}
```

### GET Commerce Webstore Order Summary Lookup

`GET /commerce/webstores/{webstoreId}/order-summaries/actions/lookup`

Operation ID: `getOrderSummaryLookup`. Tags: Commerce B2B Resources.

Lookup details about an OrderSummary

Look up details about an order summary, including its line items and relevant order amount fields. This API is available to both registered and guest users.

_Available in: v58.0_

**Note**: Session cookie authorization is only available on Salesforce-hosted stores.

**Note:** GET is supported in API version 64.0 and later.

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `accessToken` (query, string)
    
    Encrypted access token, retrieved from the Comerce Webstore Order Summary Authorization API after successful verification for guest users. This access token is valid for 60 minutes.
    
    This is required for guest users if the request doesn't include a valid session cookie.
    
    _Available in: v64.0_
    
*   `deliveryGroupId` (query, string)
    
    ID of the delivery group associated with the order summary.
    
    _Available in: v64.0_
    
*   `effectiveAccountId` (query, string)
    
    ID of the account for which the request is made. If unspecified, defaults to the account ID for the context user or, for guest users, the guest user profile ID of the current store.
    
    ID of the account for which the request is made. If unspecified, defaults to the account ID for the context user.
    
    This field is required only for authenticated or registered users.
    
    _Available in: v64.0_
    
*   `excludeParameters` (query, array of string)
    
    List of fields to exclude from the API response, including `AdjustmentAggregates` , `Adjustments` , `DeliveryGroups` , `LineItems` , and `Payments` .
    
    _Available in: v64.0_
    
*   `fields` (query, array of string)
    
    List of specific fields, including custom fields, to return in the response along with default fields. For example, `OrderSummary.TotalAmount` , `OrderItemSummary.Quantity` , `Product2.Description` ,​ `OrderDeliveryGroupSummary.GrandTotalAmount` , `OrderDeliveryMethod.Carrier` .
    
    _Available in: v64.0_
    
*   `orderSummaryIdOrRefNumber` (query, string, required)
    
    Either the order summary ID or reference number.
    
    For guest users, use the order summary reference number.
    
    _Available in: v64.0_
    

#### Responses

*   **200** _Order Summary Lookup Output_ Order summary lookup output.
    
    Media type: `application/json`. Schema: `OrderSummaryLookupOutput`.
    
    _Example: example\_1_ Payload 1
    
    ```
    {
      "adjustmentAggregates": null,
      "adjustments": [
        {
          "amount": "-1.1",
          "basisReferenceDisplayName": null,
          "currencyIsoCode": "USD",
          "displayName": "@product_details_with_promotion 10% OFF GoGoo Blueberry Caffeinated",
          "targetType": "SplitLine",
          "type": "Promotion"
        }
      ],
      "currencyIsoCode": "USD",
      "deliveryGroups": [
        {
          "currencyIsoCode": "USD",
          "deliveryMethod": {
            "fields": {
              "TransitTimeMin": {
                "dataName": "TransitTimeMin",
                "dataType": "xsd:int",
                "label": "Minimum Transit Time",
                "text": "3",
                "type": "int"
              },
              "TransitTimeUnit": {
                "dataName": "TransitTimeUnit",
                "dataType": "xsd:string",
                "label": "Unit of Transit Time",
                "text": "Days",
                "type": "picklist"
              },
              "AdjustedShippingFee": {
                "dataName": "AdjustedShippingFee",
                "dataType": "xsd:double",
                "label": "Adjusted Shipping Fee",
                "text": "11.99",
                "type": "currency"
              },
              "TransitTimeMax": {
                "dataName": "TransitTimeMax",
                "dataType": "xsd:int",
                "label": "Maximum Transit Time",
                "text": "5",
                "type": "int"
              },
              "ProcessTimeUnit": {
                "dataName": "ProcessTimeUnit",
                "dataType": "xsd:string",
                "label": "Unit of Order Processing Time",
                "text": "Days",
                "type": "picklist"
              },
              "TotalAdjustmentAmount": {
                "dataName": "TotalAdjustmentAmount",
                "dataType": "xsd:double",
                "label": "Total Adjustment Amount",
                "text": "0.0",
                "type": "currency"
              },
              "ProcessTime": {
                "dataName": "ProcessTime",
                "dataType": "xsd:int",
                "label": "Order Processing Time",
                "text": "1",
                "type": "int"
              },
              "LatestEstimatedDeliveryDate": {
                "dataName": "LatestEstimatedDeliveryDate",
                "dataType": "xsd:date",
                "label": "Latest Estimated Delivery Date",
                "text": "2024-12-08T19:37:42Z",
                "type": "date"
              },
              "EarliestEstimatedDeliveryDate": {
                "dataName": "EarliestEstimatedDeliveryDate",
                "dataType": "xsd:date",
                "label": "Earliest Estimated Delivery Date",
                "text": "2024-12-06T19:37:42Z",
                "type": "date"
              },
              "ShippingFee": {
                "dataName": "ShippingFee",
                "dataType": "xsd:double",
                "label": "Shipping Fee",
                "text": "11.99",
                "type": "currency"
              },
              "Name": {
                "dataName": "Name",
                "dataType": "xsd:string",
                "label": "Name",
                "text": "Shipping Method 1",
                "type": "string"
              }
            },
            "id": null
          },
          "fields": {
            "DeliverToCountry": {
              "dataName": "DeliverToCountry",
              "dataType": "xsd:string",
              "label": "Country",
              "text": "US",
              "type": "string"
            },
            "DeliverToCity": {
              "dataName": "DeliverToCity",
              "dataType": "xsd:string",
              "label": "City",
              "text": "San Francisco",
              "type": "string"
            },
            "DeliverToState": {
              "dataName": "DeliverToState",
              "dataType": "xsd:string",
              "label": "State/Province",
              "text": "CO",
              "type": "string"
            },
            "DeliverToPostalCode": {
              "dataName": "DeliverToPostalCode",
              "dataType": "xsd:string",
              "label": "Zip",
              "text": "94105",
              "type": "string"
            },
            "DeliverToStreet": {
              "dataName": "DeliverToStreet",
              "dataType": "xsd:string",
              "label": "Address",
              "text": "415 Mission St, San Francisco, CA 94105",
              "type": "textarea"
            },
            "DesiredDeliveryDate": {
              "dataName": "DesiredDeliveryDate",
              "dataType": "xsd:dateTime",
              "label": "Desired Delivery Date",
              "text": "2025-01-01T19:36:44Z",
              "type": "datetime"
            },
            "Name": {
              "dataName": "Name",
              "dataType": "xsd:string",
              "label": "Cart Name",
              "text": "Shipment 1",
              "type": "string"
            }
          },
          "id": null,
          "lineItems": [
            {
              "adjustmentAggregates": null,
              "adjustments": [],
              "associatedLineItems": [],
              "currencyIsoCode": "USD",
              "fields": {
                "Description": {
                  "dataName": "Description",
                  "dataType": "xsd:string",
                  "label": "Description",
                  "text": "GoGoo Blueberry Caffeinated, 1oz - 6 pack",
                  "type": "string"
                },
                "OrderDeliveryGroupSummaryId": {
                  "dataName": "OrderDeliveryGroupSummaryId",
                  "dataType": "tns:ID",
                  "label": "Order Delivery Group Summary ID",
                  "text": "0a7SG000001ax93YAA",
                  "type": "reference"
                },
                "UnitAdjustedPriceWithItemAdj": {
                  "dataName": "UnitAdjustedPriceWithItemAdj",
                  "dataType": "xsd:double",
                  "label": "Unit price that includes both tier and item level discounts for this cart item",
                  "text": "9.89",
                  "type": "currency"
                },
                "TotalListPrice": {
                  "dataName": "TotalListPrice",
                  "dataType": "xsd:double",
                  "label": "Total List Price",
                  "text": "11.5",
                  "type": "currency"
                },
                "Quantity": {
                  "dataName": "Quantity",
                  "dataType": "xsd:double",
                  "label": "Quantity",
                  "text": "1.0",
                  "type": "double"
                },
                "StockKeepingUnit": {
                  "dataName": "StockKeepingUnit",
                  "dataType": "xsd:string",
                  "label": "Product Sku",
                  "text": "6010032",
                  "type": "string"
                },
                "ListPrice": {
                  "dataName": "ListPrice",
                  "dataType": "xsd:double",
                  "label": "List Price",
                  "text": "11.5",
                  "type": "currency"
                },
                "TotalLineAdjustmentAmount": {
                  "dataName": "TotalLineAdjustmentAmount",
                  "dataType": "xsd:double",
                  "label": "Line Adjustments",
                  "text": "-1.1",
                  "type": "currency"
                },
                "ReferencePrice": {
                  "dataName": "ReferencePrice",
                  "dataType": "xsd:double",
                  "label": "Reference Price",
                  "text": "11.5",
                  "type": "currency"
                },
                "Name": {
                  "dataName": "Name",
                  "dataType": "xsd:string",
                  "label": "Name",
                  "text": "GoGoo Blueberry Caffeinated, 1oz - 6 pack",
                  "type": "string"
                },
                "ItemizedAdjustmentAmount": {
                  "dataName": "ItemizedAdjustmentAmount",
                  "dataType": "xsd:double",
                  "label": "Item Promotions Total",
                  "text": "-1.1",
                  "type": "currency"
                },
                "TotalLineTaxAmount": {
                  "dataName": "TotalLineTaxAmount",
                  "dataType": "xsd:double",
                  "label": "Line Subtotal Tax",
                  "text": "0.0",
                  "type": "currency"
                },
                "UnitPrice": {
                  "dataName": "UnitPrice",
                  "dataType": "xsd:double",
                  "label": "Unit Price",
                  "text": "10.99",
                  "type": "currency"
                },
                "Type": {
                  "dataName": "Type",
                  "dataType": "xsd:string",
                  "label": "Type",
                  "text": "Product",
                  "type": "picklist"
                },
                "Product2Id": {
                  "dataName": "Product2Id",
                  "dataType": "tns:ID",
                  "label": "Product ID",
                  "text": "01tSG000000MTlTYAW",
                  "type": "reference"
                },
                "TotalPrice": {
                  "dataName": "TotalPrice",
                  "dataType": "xsd:double",
                  "label": "Pretax Total",
                  "text": "10.99",
                  "type": "currency"
                },
                "TotalLineAmount": {
                  "dataName": "TotalLineAmount",
                  "dataType": "xsd:double",
                  "label": "Line Subtotal",
                  "text": "10.99",
                  "type": "currency"
                }
              },
              "id": null,
              "itemClass": "Simple",
              "processExceptions": [],
              "product": {
                "canViewProduct": true,
                "errorCode": null,
                "errorMessage": null,
                "fields": {
                  "Description": {
                    "dataName": "Description",
                    "dataType": "STANDARD",
                    "label": "Description",
                    "text": "Alpine Sport Energy GoGoo Caffeinated Gel Pack. Performance and Endurance when you need it.",
                    "type": "TEXTAREA"
                  },
                  "StockKeepingUnit": {
                    "dataName": "StockKeepingUnit",
                    "dataType": "STANDARD",
                    "label": "StockKeepingUnit",
                    "text": "6010032",
                    "type": "STRING"
                  },
                  "Name": {
                    "dataName": "Name",
                    "dataType": "STANDARD",
                    "label": "Name",
                    "text": "GoGoo Blueberry Caffeinated, 1oz - 6 pack",
                    "type": "STRING"
                  }
                },
                "id": "01tSG000000MTlTYAW",
                "media": {
                  "alternateText": "",
                  "contentVersionId": null,
                  "id": "2pmSG0000006MS0YAM",
                  "mediaType": null,
                  "sortOrder": null,
                  "thumbnailUrl": null,
                  "title": "jpg",
                  "url": "https://s3.amazonaws.com/northerntrailoutfitters.com/nto-alpine-nutrition/default/images/large/alpine-energy-gogoo-blueberry-caffeinefree.jpg"
                },
                "variationAttributes": {}
              },
              "productSellingModel": null
            }
          ]
        }
      ],
      "fields": {
        "UniqueProductCount": {
          "dataName": "UniqueProductCount",
          "dataType": "xsd:int",
          "label": "Unique Products (SKUs) in the Cart",
          "text": "1",
          "type": "int"
        },
        "TaxLocaleType": {
          "dataName": "TaxLocaleType",
          "dataType": "xsd:string",
          "label": "Tax Locale Type",
          "text": "Net",
          "type": "picklist"
        },
        "TotalAdjustedDeliveryAmount": {
          "dataName": "TotalAdjustedDeliveryAmount",
          "dataType": "xsd:double",
          "label": "Shipping",
          "text": "11.99",
          "type": "currency"
        },
        "TotalListAmount": {
          "dataName": "TotalListAmount",
          "dataType": "xsd:double",
          "label": "Total List Amount in Cart",
          "text": "23.49",
          "type": "currency"
        },
        "AccountId": {
          "dataName": "AccountId",
          "dataType": "tns:ID",
          "label": "Account ID",
          "text": "001SG00000lpQ2DYAU",
          "type": "reference"
        },
        "TotalCartLevelAdjAmount": {
          "dataName": "TotalCartLevelAdjAmount",
          "dataType": "xsd:double",
          "label": "Total cart level adjustment amount for all the items in the cart. Includes discount and surcharge.",
          "text": "0.0",
          "type": "currency"
        },
        "OwnerId": {
          "dataName": "OwnerId",
          "dataType": "tns:ID",
          "label": "Owner ID",
          "text": "005SG000004wdi2YAA",
          "type": "reference"
        },
        "TotalProductAmount": {
          "dataName": "TotalProductAmount",
          "dataType": "xsd:double",
          "label": "Product Subtotal",
          "text": "10.99",
          "type": "currency"
        },
        "TotalTaxAmount": {
          "dataName": "TotalTaxAmount",
          "dataType": "xsd:double",
          "label": "Tax",
          "text": "0.0",
          "type": "currency"
        },
        "SalesStoreId": {
          "dataName": "SalesStoreId",
          "dataType": "tns:ID",
          "label": "Sales Store ID",
          "text": "0ZESG000000z1bt4AA",
          "type": "reference"
        },
        "GrandTotalAmount": {
          "dataName": "GrandTotalAmount",
          "dataType": "xsd:double",
          "label": "Total",
          "text": "21.88",
          "type": "currency"
        }
      },
      "id": null,
      "orderNumber": "EYWFU-7BIS4-DVLY7-GVJFV",
      "owner": {
        "email": "mo****.*******@abc.com",
        "firstName": "Morgan",
        "lastName": "Sholace",
        "phoneNumber": "********0753",
        "userName": null
      },
      "payments": [
        {
          "fields": {},
          "paymentMethod": {
            "fields": {
              "PaymentMethodType": {
                "dataName": "PaymentMethodType",
                "dataType": "xsd:string",
                "label": "Payment Method Type",
                "text": "ACH",
                "type": "picklist"
              },
              "BillingCountry": {
                "dataName": "BillingCountry",
                "dataType": "xsd:string",
                "label": "Billing Country",
                "text": "US",
                "type": "string"
              },
              "BillingStreet": {
                "dataName": "BillingStreet",
                "dataType": "xsd:string",
                "label": "Billing Street",
                "text": "415 Mission St, San Francisco, CA 94105",
                "type": "textarea"
              },
              "BillingCity": {
                "dataName": "BillingCity",
                "dataType": "xsd:string",
                "label": "Billing City",
                "text": "San Francisco",
                "type": "string"
              },
              "BillingPostalCode": {
                "dataName": "BillingPostalCode",
                "dataType": "xsd:string",
                "label": "Billing Zip",
                "text": "94105",
                "type": "string"
              },
              "Id": {
                "dataName": "Id",
                "dataType": "tns:ID",
                "label": "Alternative Payment Method ID",
                "text": "8Z7SG0000006fLR0AY",
                "type": "id"
              },
              "PaymentMethodSubType": {
                "dataName": "PaymentMethodSubType",
                "dataType": "xsd:string",
                "label": "Payment Method Sub Type",
                "text": "STRIPE TEST BANK",
                "type": "string"
              },
              "PaymentMethodDetails": {
                "dataName": "PaymentMethodDetails",
                "dataType": "xsd:string",
                "label": "Payment Method Details",
                "text": "6789",
                "type": "string"
              },
              "BillingState": {
                "dataName": "BillingState",
                "dataType": "xsd:string",
                "label": "Billing State",
                "text": "CO",
                "type": "string"
              }
            },
            "id": null
          }
        }
      ],
      "status": null
    }
    ```
    

#### Code samples

_Example: Example 1 · HTTP_

```
https://yourInstance.salesforce.com/services/data/v67.0/commerce/webstores​/0ZExx00000000l2/order-summaries/actions/lookup?effectiveAccountId=001xx000003GYl8AAG&deliveryGroupId=0agxx000000003cAAA

https://yourInstance.salesforce.com/services/data/v67.0/commerce/webstores​/0ZExx00000000l2/order-summaries/actions/lookup?accessToken=U2FsdGVkX1+kp1d8aQKHsqZJv1shF8Jx4Nc0kOdN+L5gViQa/sZtU5NHMDpIUEhz
&excludeParameters=Adjustments,DeliveryGroups
```

### POST Commerce Webstore Order Summary Lookup

`POST /commerce/webstores/{webstoreId}/order-summaries/actions/lookup`

Operation ID: `postOrderSummaryLookup`. Tags: Commerce B2B Resources.

Lookup details about an OrderSummary

Look up details about an order summary, including its line items and relevant order amount fields. This API is available to both registered and guest users.

_Available in: v58.0_

**Note**: Session cookie authorization is only available on Salesforce-hosted stores.

**Note:** POST methods usually create records, but for this resource, POST is used to retrieve the requested order summary record. Both POST and GET methods retrieve the same information.

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.  
    Pattern: ^(0ZE)\\w\*.
*   `deliveryGroupId` (query, string)
    
    ID of the delivery group associated with the order summary.
    
    _Available in: v58.0_
    
*   `effectiveAccountId` (query, string)
    
    ID of the account for which the request is made. If unspecified, defaults to the account ID for the context user or, for guest users, the guest buyer profile ID of the current store.
    
[...]
